[Gc] Re[2]: [bdwgc] boehm-gc incompatible with aslr on darwin11 (#13)

Ivan Maidanski ivmai at mail.ru
Fri Feb 24 07:01:50 PST 2012


Hi nicity,

Could you explain your problem with -arch in more details? Could you try the recent BDWGC snapshot? (exporting CXXFLAGS="-O2 -arch i386" should work for you but I haven't tried.)

git clone git://github.com/ivmai/bdwgc.git -b release
cd bdwgc
git clone git://github.com/ivmai/libatomic_ops.git -b release
CFLAGS="-O2 -arch i386" CXXFLAGS="-O2 -arch i386" ./configure --enable-cplusplus
make check 

Regards.

23 02 2012, 23:43 nicity <reply+i-3329737-a1dea316d11d14c478bc86091887fd24684337c1-460469 at reply.github.com>:
> Thank you for pointing to commit of the fix!
> I have patched BDWGC 7.0 and it works.
> I tried to use 7.2alpha6 after encountering stack bottom problem but had a problem building it for x86 Mac in the same way as 7.0, namely exporting CXX with -arch i386 before calling configure.
> 
> ---
> Reply to this email directly or view it on GitHub:
> https://github.com/ivmai/bdwgc/issues/13#issuecomment-4143583
> 



More information about the Gc mailing list